%define name		gfontsampler
%define version 	0.4
%define release 	2mdk

Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL
Source0:		http://linuxadvocate.org/projects/gfontsampler/downloads/%name-%version.tar.bz2
Group:			Graphical desktop/GNOME
URL:			http://linuxadvocate.org/projects/gfontsampler/
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
Summary:		Gnome Font Sampler
BuildRequires:		libgnomeui2-devel
BuildRequires:		libglade2.0-devel
BuildRequires:		bison
BuildRequires:		ImageMagick

%description
Gnome Font Sampler
The easiest way to pick the right font for the job.

Features:
* View all yours fonts at once
* Choose text and background colors
* Choose bold, italics, underline, font size, and example text used
* It's Free Software released under the GPL 

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr $RPM_BUILD_ROOT/%_prefix/doc
rm -fr $RPM_BUILD_ROOT/%_includedir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="GFontSampler" longtitle="Font previewer" section="System/Text Tools"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/%name-icon.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/%name-icon.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/%name-icon.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
#%{_includedir}/%{name}
%{_datadir}/gnome/apps/Utilities/%{name}.desktop
%{_datadir}/pixmaps/%{name}/%{name}-icon.png
%{_datadir}/%{name}
%{_menudir}/%name
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Sat Jan 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4-2mdk
- fix buildrequires

* Thu Jan 20 2005 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-3mdk 
- Rebuild with latest howl

* Tue Jan  4 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- fix buildrequires

* Mon Jan  3 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- New release 0.3

* Wed Dec 29 2004 Austin Acton <austin@mandrake.org> 0.2-1mdk
- fix buildreqires
- 0.2

* Tue Dec 28 2004 Austin Acton <austin@mandrake.org> 0.1-1mdk
- based on spec from Marc Koschewski <marc@osknowledge.org>

